Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

# Class BranchData3

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_12.BranchData3

public class BranchData3 extends Object

Java class for BranchData3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BranchData3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text" minOccurs="0"/>
             <element name="LEI" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}LEIIdentifier" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max140Text" minOccurs="0"/>
             <element name="PstlAdr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}PostalAddress24" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`id`
`protected String`
`lei`
`protected String`
`nm`
`protected PostalAddress24`
`pstlAdr`

## Constructor Summary

Constructors
Constructor
Description
`BranchData3()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Gets the value of the id property.
`String`
`getLEI()`
Gets the value of the lei property.
`String`
`getNm()`
Gets the value of the nm property.
`PostalAddress24`
`getPstlAdr()`
Gets the value of the pstlAdr property.
`void`
`setId(String value)`
Sets the value of the id property.
`void`
`setLEI(String value)`
Sets the value of the lei property.
`void`
`setNm(String value)`
Sets the value of the nm property.
`void`
`setPstlAdr(PostalAddress24 value)`
Sets the value of the pstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected String id

### lei

protected String lei

### nm

protected String nm

### pstlAdr

protected PostalAddress24 pstlAdr

## Constructor Details

### BranchData3

public BranchData3()

## Method Details

### getId

public String getId()
Gets the value of the id property.

Returns:
  possible object is `String`

### setId

public void setId(String value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

### getLEI

public String getLEI()
Gets the value of the lei property.

Returns:
  possible object is `String`

### setLEI

public void setLEI(String value)
Sets the value of the lei property.

Parameters:
  `value` - allowed object is `String`

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

### getPstlAdr

public PostalAddress24 getPstlAdr()
Gets the value of the pstlAdr property.

Returns:
  possible object is `PostalAddress24`

### setPstlAdr

public void setPstlAdr(PostalAddress24 value)
Sets the value of the pstlAdr property.

Parameters:
  `value` - allowed object is `PostalAddress24`